Chromium Code Reviews
Help | Chromium Project | Sign in
(2)

Issue 12092089: Display an info banner on the clear browsing data dialog if the browsing data was cleared within th… (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 1 month ago by markusheintz_
Modified:
2 years, 1 month ago
Reviewers:
James Hawkins, sky
CC:
chromium-reviews, dbeam+watch-options_chromium.org, arv, Evan Stade
Visibility:
Public.

Description

Display an info banner on the clear browsing data dialog if the browsing data was cleared within the last 24h. The displayed info banner suggest to use the incognito mode instead. BUG=164600 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=180372

Patch Set 1 #

Patch Set 2 : " #

Patch Set 3 : Fix titel banner padding. #

Total comments: 9

Patch Set 4 : Address comments from James #

Total comments: 2

Patch Set 5 : Change type of kHoursPerDay from uint to int64 to match the FromHours param type. #

Patch Set 6 : Address comments round 2 from James. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+64 lines, -1 line) Patch
M chrome/app/generated_resources.grd View 2 chunks +4 lines, -1 line 0 comments Download
M chrome/browser/resources/options/clear_browser_data_overlay.css View 1 2 3 1 chunk +10 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/clear_browser_data_overlay.html View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/clear_browser_data_overlay.js View 1 1 chunk +5 lines, -0 lines 0 comments Download
M chrome/browser/ui/browser_ui_prefs.cc View 1 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/clear_browser_data_handler.h View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/clear_browser_data_handler.cc View 1 2 3 4 5 4 chunks +33 lines, -0 lines 0 comments Download
M chrome/common/pref_names.h View 1 1 chunk +1 line, -0 lines 0 comments Download
M chrome/common/pref_names.cc View 1 1 chunk +2 lines, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 11 (0 generated)
markusheintz_
@Evan: Could you please review this CL? You'll find all necessary screenshots and mocks in ...
2 years, 1 month ago (2013-01-31 18:08:52 UTC) #1
sky
LGTM
2 years, 1 month ago (2013-01-31 21:07:13 UTC) #2
markusheintz_
@Scott: Thanks a lot. Just seeing that Evan is OOO. Replacing Evan with James as ...
2 years, 1 month ago (2013-02-01 08:28:51 UTC) #3
James Hawkins
Nice, clean CL. Just a few comments. https://codereview.chromium.org/12092089/diff/11/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/12092089/diff/11/chrome/app/generated_resources.grd#newcode8099 chrome/app/generated_resources.grd:8099: + Psst! ...
2 years, 1 month ago (2013-02-01 17:42:02 UTC) #4
markusheintz_
https://codereview.chromium.org/12092089/diff/11/chrome/app/generated_resources.grd File chrome/app/generated_resources.grd (right): https://codereview.chromium.org/12092089/diff/11/chrome/app/generated_resources.grd#newcode8099 chrome/app/generated_resources.grd:8099: + Psst! Incognito mode (<ph name="INCOGNITO_MODE_SHORTCUT">$1<ex>Shift+Ctrl+N</ex></ph>) may come in ...
2 years, 1 month ago (2013-02-01 18:43:17 UTC) #5
James Hawkins
LGTM with comment. https://codereview.chromium.org/12092089/diff/3011/chrome/browser/ui/webui/options/clear_browser_data_handler.cc File chrome/browser/ui/webui/options/clear_browser_data_handler.cc (right): https://codereview.chromium.org/12092089/diff/3011/chrome/browser/ui/webui/options/clear_browser_data_handler.cc#newcode28 chrome/browser/ui/webui/options/clear_browser_data_handler.cc:28: const uint kHoursPerDay = 24; Go ...
2 years, 1 month ago (2013-02-01 18:47:11 UTC) #6
markusheintz_
FYI: I change the const type from uint to int64 in order to match the ...
2 years, 1 month ago (2013-02-01 18:52:18 UTC) #7
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/markusheintz@chromium.org/12092089/2002
2 years, 1 month ago (2013-02-01 19:02:54 UTC) #8
I haz the power (commit-bot)
Retried try job too often on win_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_rel&number=106450
2 years, 1 month ago (2013-02-01 22:35:45 UTC) #9
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/markusheintz@chromium.org/12092089/2002
2 years, 1 month ago (2013-02-04 08:06:52 UTC) #10
I haz the power (commit-bot)
2 years, 1 month ago (2013-02-04 09:19:33 UTC) #11
Message was sent while issue was closed.
Change committed as 180372
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cf4c24d